/*
	Pure multiplayer script 
*/

#include <inc\sc_MPglobal.h>


// defines uf used global variables



int ScriptMain(s_SC_NET_info *info){


	switch(info->message){
		
		case SC_NET_MES_SERVER_TICK:	
			// server tick, this part of the code is executed on server side only ( dedicated and no-dedicated too)

			break;

		case SC_NET_MES_CLIENT_TICK:
			// client tick, this part is executed on client only ( including client on no-dedicated server)

			break;// SC_NET_MES_CLIENT_TICK

		case SC_NET_MES_LEVELPREINIT:
			// is called before level.c SC_LEV_MES_INITSCENE is called
			// use it for set gametype and some basic setting that has to be done before scene initialization

			//SC_sgi(GVAR_MP_MISSIONTYPE,GVAR_MP_MISSIONTYPE_DM); 

			break;// SC_NET_MES_LEVELPREINIT

		case SC_NET_MES_LEVELINIT:
			// initialization


			break;// SC_NET_MES_LEVELINIT


		case SC_NET_MES_RENDERHUD:

			// is called on every client in every frame - enables rendering some on screen info


			break;

		case SC_NET_MES_SERVER_RECOVER_TIME:
			// game engine asks server for time to respawn selected player


			break;

		case SC_NET_MES_SERVER_RECOVER_PLACE:
			// game engine asks for place where to recover some player

															
			break;



		case SC_NET_MES_RESTARTMAP:
			// command restart map came


			break;// SC_NET_MES_RESTARTMAP

		case SC_NET_MES_RULESCHANGED:
			// command change end rule came
			break;

		case SC_NET_MES_SERVER_KILL:
			// some player is killed, check autobalance for example, or score points etc
			break;// SC_NET_MES_SERVER_KILL
			

	}// switch(info->message)
	


	return 1;

}// int ScriptMain(void)
